//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TMainForm.h"
//---------------------------------------------------------------------------
#pragma link "TDx_Sound"
#pragma link "TDx_SoundBuffer"
#pragma link "TDSCaps"
#pragma link "TDSBufferDesc"
#pragma link "TDx_Sound_Library_Install"
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
#define Msg(A) 		StatusMemo->Lines->Add(A)
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::TestButtonClick(TObject *Sender)
{
Msg( "Test button was clicked, playing an example .WAV file..." );

if (Dx_Sound1->Create(NULL))
	{
    if (Dx_SoundBuffer1->CreateFromFile("..\\..\\Wav\\Begin.wav", DSBufferDesc1, Dx_Sound1))
    	{
        if (Dx_SoundBuffer1->Play(0))
            {
            while (Dx_SoundBuffer1->Playing) ; // actually, do nothing
            }
        Dx_SoundBuffer1->Destroy();
        }
	Dx_Sound1->Destroy();
    }

Msg( "...finished playing the example .WAV file" );
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_Sound1Error(TObject *Sender,
      AnsiString TheFunction, AnsiString TheError,
      AnsiString TheErrorMessage)
{
Msg( "An error occurred in: "+TheFunction+"..." );
Msg( "... the error code: "+TheError );
Msg( "... the error message: "+TheErrorMessage );
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::QuitButtonClick(TObject *Sender)
{
Close();
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_Sound1Create(TObject *Sender)
{
Msg("Dx_Sound1> created successfully");
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_SoundBuffer1Create(TObject *Sender)
{
Msg("Dx_SoundBuffer1> created successfully");
}
//---------------------------------------------------------------------------
