//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
#include "TDSCaps.h"
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
#define MAX_DEVICES 256
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TMemo *StatusMemo;
    TDx_Sound *Dx_Sound1;
    TDx_SoundBuffer *Dx_SoundBuffer1;
    TDSBufferDesc *DSBufferDesc1;
	TLabel *Label1;
	TPanel *Panel1;
	TLabel *Label23;
	TGroupBox *GroupBox1;
	TLabel *Label3;
	TLabel *Label9;
	TLabel *Label10;
	TLabel *Label11;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label18;
	TLabel *Label19;
	TLabel *Label22;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label13;
	TLabel *Label2;
	TLabel *Label12;
	TLabel *Label14;
	TLabel *Label15;
	TLabel *Label16;
	TLabel *Label17;
	TLabel *Label20;
	TBitBtn *TestButton;
	TBitBtn *QuitButton;
	TLabel *Label21;
	TLabel *Label24;
	void __fastcall TestButtonClick(TObject *Sender);
	void __fastcall Dx_SoundBuffer1BufferLost(TObject *Sender);
	
	void __fastcall Dx_SoundBuffer1Error(TObject *Sender, AnsiString TheFunction,
	AnsiString TheError, AnsiString TheErrorMessage);
	void __fastcall QuitButtonClick(TObject *Sender);
	
private:	// User declarations
	bool Attempted_Retry;
public:		// User declarations
    __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
