//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
#include "TDSCaps.h"
#include <vcl\ExtCtrls.hpp>
#include <vcl\FileCtrl.hpp>
//---------------------------------------------------------------------------
#define MAX_DEVICES 256
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
	TListBox *DevicesListBox;
    TLabel *Label3;
    TDx_Sound *Dx_Sound1;
	TPanel *Panel1;
	TLabel *Label23;
	TFileListBox *FileListBox1;
	TLabel *Label2;
	TDriveComboBox *DriveComboBox1;
	TDirectoryListBox *DirectoryListBox1;
	TTimer *Timer1;
	TBitBtn *PlayButton;
	TPanel *Panel2;
	TCheckBox *LoopingCheckBox;
	TLabel *NotCreatedLabel;
	TLabel *Label50;
	TLabel *Label51;
	TLabel *Label52;
	TLabel *Label53;
	TMemo *NameMemo;
	TMemo *StatusMemo;
	TMemo *SizeMemo;
	TMemo *PositionMemo;
	TBitBtn *StopButton;
	TBitBtn *QuitButton;
	TLabel *Label1;
	TLabel *SoundsCurrentlyPlaying;
    TBitBtn *SelectAllButton;
    void __fastcall Dx_Sound1DSEnumCallback(TObject *Sender, GUID *TheGUID,
          AnsiString TheDriverDescription, AnsiString TheDriverModule,
          void *TheContext, bool &Finished);
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
	
	
	
	
	
	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	void __fastcall Dx_Sound1Destroy(TObject *Sender);
	
	void __fastcall FormDestroy(TObject *Sender);
	
	
	void __fastcall FormCreate(TObject *Sender);
	
	void __fastcall DevicesListBoxClick(TObject *Sender);

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

	
	
	
	
	
	
	
	void __fastcall PlayButtonClick(TObject *Sender);
	void __fastcall StopButtonClick(TObject *Sender);
	void __fastcall FileListBox1DblClick(TObject *Sender);
	
	
	
	void __fastcall Timer1Timer(TObject *Sender);
	
	
	
	void __fastcall Dx_Sound1Create(TObject *Sender);
	void __fastcall QuitButtonClick(TObject *Sender);
    void __fastcall SelectAllButtonClick(TObject *Sender);
private:	// User declarations
	TStringList*	KnownDevices;
    TStringList*	KnownModules;
    TList*			KnownGuids;

    TList*			SoundBuffers;
    TList*			BufferDescs;
    TStringList*	BufferNames;

public:		// User declarations
    __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
